Bug 21311 - MacAlly USB Keyboard Clover Keys Don't Work
MacAlly USB Keyboard Clover Keys Don't Work
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.0
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-24 16:11 EST by Idcmp
Modified: 2007-03-26 23:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-12 03:58:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Idcmp 2000-11-24 16:11:40 EST
The clover keys (in place of the Microsoft keys on PC keyboards) are not 
functional under XFree86 4.0.1 on the MacAlly USB keyboard.

They do work, I had a hacked rh6.2 setup where I could use them.

Yes, this is on an x86.
Comment 1 Mike A. Harris 2000-11-25 03:40:51 EST
Is this a Macintosh keyboard?  I'm not sure what a "clover" key is,
but I'm guessing it isn't a standard key.  What exactly would you like
this key to do?  This sounds more like an enhancement request than a bug,
so I've changed it.
Comment 2 Idcmp 2000-11-25 10:31:05 EST
Yes.  It's a Mac USB keyboard.  The only USB keyboards around here seem to be
Mac ones.

The "Clover" key is the Mac's menu accelerator (instead of having triple-purpose
Ctrl/Alt/etc).

The bottom row of this keyboard is:

  ]Control]  [Alt/Option]  [Clover]  [    Space    ] [Clover] [Alt/Option]
[Control]

The left one generates:

KeyPress event, serial 21, synthetic NO, window 0x2600001,
    root 0x2f, subw 0x2600002, time 212225321, (42,45), root:(756,559),
    state 0x0, keycode 115 (keysym 0x0, NoSymbol), same_screen YES,
    XLookupString gives 0 characters:  ""

The right one generates:

KeyPress event, serial 24, synthetic NO, window 0x2600001,
    root 0x2f, subw 0x2600002, time 212314664, (35,34), root:(903,472),
    state 0x0, keycode 116 (keysym 0x0, NoSymbol), same_screen YES,
    XLookupString gives 0 characters:  ""

After doing some more digging last night, this bug should really read "User
didn't notice
that RH7 ships XFree86 3.3.6 in the XFree86 4.0 packages and enables 3.3.x by
default" followed by:

"Feature Request:  Bind Clover Keys as Meta Keys for Macally Mac USB Keyboard"


Comment 3 Mike A. Harris 2001-02-26 17:46:10 EST
Red Hat does _not_ ship XFree 3.x packages in the XFree 4 packages.
All of the XFree86 3.3.6 servers are wholly contained in the:
XFree86-Servers-3.3.6 package.

XFree86-3.3.6 drivers are only the default when XFree86 4.x either does not
support a particular video card at all, or the support is poor or non
functional.  The default for any given card, is the driver deemed to be the
one that is best functionality and stablity.  If a default driver is buggy
and nonfunctional, but the other driver works, then it is a bug for sure,
and needs a separate bugzilla report so we can fix it.

The hardware you're asking for support for, is not standard hardware for a
platform we support.  If you can submit me a patch for XFree to add support,
I'll have a look at it and if it is clean and doesn't mess with other things,
I might add it in for you.  Other than that though, I can't really justify
adding support for something which is unsupported and to which I've no
hardware with which to test with.
Comment 4 Mike A. Harris 2001-05-12 03:58:48 EDT
If you can test your keyboard out and let me know all of the keys that
need special attention for this keyboard, I might be able to whip up
a keyboard layout map from one of the existing ones.  I just need xev
output for any other special keys.  I can't guarantee an ETA on this
occuring, but as long as you are interested, I can try to do it when
I've got some spare cycles.  I will need you to help test the keyboard
layout map files out though.

Still interested?

Comment 5 Mike A. Harris 2001-07-28 06:52:51 EDT
This sort of request should really be handled upstream.  It would
require someone with this keyboard to actually do the work.

Note You need to log in before you can comment on or make changes to this bug.